.cart-item {
  padding-top: 15px;
  margin-bottom: 15px;
  border-top: 1px solid var(--black);

  .cart-grid--mini-cart &:first-child {
    border-top: 0;
  }

  .cart-grid--default & {
    @media (--s){
      display: table-row;
      padding: 0;
    }
  }

  // update link
  .cart-item__update {
    opacity: 0.3;
    pointer-events: none;

    &.is-active {
      opacity: 1;
      pointer-events: auto;
    }
  }
}
.cart-item__info,
.cart-item__price,
.cart-item__quantity,
.cart-item__total {
  .cart-grid--default & {
    @media (--s){
      display: table-cell;
      position: static;
      padding-top: 20px;
      padding-bottom: 1.8rem;
    }
  }
}
.cart-item__info {
  overflow: hidden;

  .cart-grid--default & {
    @media (--m){
      padding-right: 1em;
      text-align: left;
    }
  }
}
.cart-item__price {
  .cart-grid--default & {
    @media (--m){
      padding-right: 1em;
    }
  }
}
.cart-item__total {
  position: absolute;
  top: 15px;
  right: 0;
}

.cart-item__quantity {
  padding-left: 90px;
  position: relative;
  z-index: 1;

  @media (--xxs){
    padding-left: 110px;
  }

  .cart-grid--default & {
    display: none;
    padding-left: 0;

    @media (--s) {
      display: block;
    }

    @media (--m){
      padding-left: 0;
      padding-right: 1em;
    }
  }
}

.cart-item__remove {
  line-height: 1.2;
}

.cart-item__image {
  width: 100%;
  max-width: 90px;
  float: left;

  @media (--xxs){
    max-width: 100px;
    padding-right: 1.5em;
    max-width: calc(90px + 1.5em);
  }

  .img-holder {
    &:before {
      padding-bottom: 75.20833%;
    }
  }
}
.cart-item__details {
  max-width: 170px;
  width: 50%;
  float: left;

  .cart-grid--default & {
    @media (--s){
      width: calc(100% - 100px - 1.5em)
    }
  }
}

.cart-item__details__description {
  margin-bottom: 0;
}


.cart-item__details-quantity {
  .cart-grid--default & {
    @media (--s){
      display: none;
    }
  }
  .cart-grid--mini-cart & {
    margin-top: 0.4rem;
  }
}

.cart-item__title {
  @media (--m){
    max-width: calc(100% - 60px);
  }
}
